List messages waiting for approval
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_name": "<string>",
"status": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_name": "<string>",
"person_title": "<string>",
"company_name": "<string>",
"person_linkedin_url": "<string>",
"signal_type": "<string>",
"signal_label": "<string>",
"draft_message": "<string>",
"draft_node_id": "<string>",
"message_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"awaiting_since": "2023-11-07T05:31:56Z",
"campaign_status": "active",
"sends_after_resume": false,
"send_mode": "auto",
"approval_mode": "step",
"planned_steps": [
{
"node_id": "<string>",
"node_type": "<string>",
"label": "<string>",
"action_detail": "<string>",
"draft_text": "<string>",
"wait_value": 123,
"wait_unit": "<string>",
"already_executed": false,
"branch": "<string>",
"note_sent": true,
"note_status_text": "<string>",
"char_cap": 123,
"is_drafted": true,
"wait_text": "<string>"
}
],
"name_unresolved": false,
"name_changed_after_draft": false,
"avatar_url": "<string>",
"fit_score": 123,
"language": "<string>",
"lead_context": {
"industry": "<string>",
"company_size": "<string>",
"location": "<string>",
"tagline": "<string>",
"company_description": "<string>",
"person_fit": {
"score": 123,
"reason": "<string>"
},
"icp_badges": [
"<string>"
],
"pains": [
"<string>"
],
"recent_signals": [
{
"label": "<string>",
"type": "<string>",
"source": "<string>",
"processed_at": "<string>"
}
]
},
"signal_evidence": {
"post_url": "<string>",
"post_text": "<string>",
"post_author": "<string>",
"engagement_type": "<string>",
"reaction_type": "<string>",
"comment_text": "<string>",
"engaged_at": "<string>"
},
"is_follow_up": false,
"suggested_action": {
"type": "comment_on_post",
"text": "<string>",
"reference_url": "<string>",
"reference_date": "<string>"
},
"next_step_summary": "<string>",
"next_step": {
"label": "<string>",
"wait_text": "<string>"
},
"touch_action": "<string>",
"touch_suggested": false,
"step_index": 123,
"step_total": 123,
"sender_name": "<string>",
"sender_capacity_remaining": 123,
"sender_capacity_total": 123,
"sender_needs_reconnect": false,
"sender_status_reason": "<string>",
"sender_invites_paused_until": "2023-11-07T05:31:56Z",
"has_prior_send": false,
"note_sent": true,
"note_status_text": "<string>",
"note_cap": 123,
"text_char_cap": 123,
"company_cap_conflict": {
"colleague_status": "contacted",
"cap": 123,
"colleague_name": "<string>"
}
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Approvals
List messages waiting for approval
Drafts waiting for a decision, oldest first.
GET
/
workflow-runs
/
pending-approvals
List messages waiting for approval
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflow-runs/pending-approvals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_name": "<string>",
"status": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_name": "<string>",
"person_title": "<string>",
"company_name": "<string>",
"person_linkedin_url": "<string>",
"signal_type": "<string>",
"signal_label": "<string>",
"draft_message": "<string>",
"draft_node_id": "<string>",
"message_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"awaiting_since": "2023-11-07T05:31:56Z",
"campaign_status": "active",
"sends_after_resume": false,
"send_mode": "auto",
"approval_mode": "step",
"planned_steps": [
{
"node_id": "<string>",
"node_type": "<string>",
"label": "<string>",
"action_detail": "<string>",
"draft_text": "<string>",
"wait_value": 123,
"wait_unit": "<string>",
"already_executed": false,
"branch": "<string>",
"note_sent": true,
"note_status_text": "<string>",
"char_cap": 123,
"is_drafted": true,
"wait_text": "<string>"
}
],
"name_unresolved": false,
"name_changed_after_draft": false,
"avatar_url": "<string>",
"fit_score": 123,
"language": "<string>",
"lead_context": {
"industry": "<string>",
"company_size": "<string>",
"location": "<string>",
"tagline": "<string>",
"company_description": "<string>",
"person_fit": {
"score": 123,
"reason": "<string>"
},
"icp_badges": [
"<string>"
],
"pains": [
"<string>"
],
"recent_signals": [
{
"label": "<string>",
"type": "<string>",
"source": "<string>",
"processed_at": "<string>"
}
]
},
"signal_evidence": {
"post_url": "<string>",
"post_text": "<string>",
"post_author": "<string>",
"engagement_type": "<string>",
"reaction_type": "<string>",
"comment_text": "<string>",
"engaged_at": "<string>"
},
"is_follow_up": false,
"suggested_action": {
"type": "comment_on_post",
"text": "<string>",
"reference_url": "<string>",
"reference_date": "<string>"
},
"next_step_summary": "<string>",
"next_step": {
"label": "<string>",
"wait_text": "<string>"
},
"touch_action": "<string>",
"touch_suggested": false,
"step_index": 123,
"step_total": 123,
"sender_name": "<string>",
"sender_capacity_remaining": 123,
"sender_capacity_total": 123,
"sender_needs_reconnect": false,
"sender_status_reason": "<string>",
"sender_invites_paused_until": "2023-11-07T05:31:56Z",
"has_prior_send": false,
"note_sent": true,
"note_status_text": "<string>",
"note_cap": 123,
"text_char_cap": 123,
"company_cap_conflict": {
"colleague_status": "contacted",
"cap": 123,
"colleague_name": "<string>"
}
}
]{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Query Parameters
How many rows to skip. Starts at 0.
Required range:
x >= 0How many rows to return in one page.
Required range:
1 <= x <= 200Only this campaign.
Available options:
all, follow_up, first_touch Available options:
created_at, rank Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes